class VideogenreController < ApplicationController

  # Make sure that a user logs in before doing any action here
  before_filter :authorize

  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @videogenre_pages, @videogenres = paginate :videogenres, :per_page => 10
  end

  def show
    @videogenre = Videogenre.find(params[:id])
  end

  def new
    @videogenre = Videogenre.new
  end

  def create
    @videogenre = Videogenre.new(params[:videogenre])
    if @videogenre.save
      flash[:notice] = 'Videogenre was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @videogenre = Videogenre.find(params[:id])
  end

  def update
    @videogenre = Videogenre.find(params[:id])
    if @videogenre.update_attributes(params[:videogenre])
      flash[:notice] = 'Videogenre was successfully updated.'
      redirect_to :action => 'show', :id => @videogenre
    else
      render :action => 'edit'
    end
  end

  def destroy
    Videogenre.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
