class MerchandisePurchase < Purchase
  belongs_to :merchandise
  belongs_to :customer

  validates_presence_of :merchandise_id
  validates_presence_of :quantity

  validates_numericality_of :merchandise_id
  validates_numericality_of :quantity

  protected
  def validate
    errors.add(:merchandise_id, "does not exist in the database") if merchandise.nil?
    #errors.add(:quantity, "must be 1 or greater") if quantity < 1
  end
end
